package kiekerdays;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import akka.actor.UntypedActor;

public class CounterActor extends UntypedActor {

	private static final Logger LOGGER = LoggerFactory.getLogger(CounterActor.class);
	private int numMessages;

	public CounterActor() {
		super();
	}

	@Override
	public void onReceive(Object message) throws Exception {
		numMessages++;
	}

	@Override
	public void postStop() throws Exception {
		LOGGER.info("stopped: " + numMessages);
		super.postStop();
	}
}
